This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 459477 - System sounds gone after sound device defaulting to snd-pcsp
System sounds gone after sound device defaulting to snd-pcsp
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-19 05:02 EDT by Joachim Frieben
Modified: 2008-08-25 03:47 EDT (History)
0 users

See Also:
Fixed In Version: kernel-2.6.26.3-17.fc9.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-25 03:47:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2008-08-19 05:02:55 EDT
Description of problem:
After updating the kernel from 2.6.25.14-108.fc9.x86_64 to
2.6.26.2-14.fc9.x86_64, system sounds are replaced by clicks which is
a clear regression. Menu item "System > Preferences > Hardware > Volume
Control" that the sound device is "pcsp (Alsa mixer)".
The same holds for alsamixer.

Version-Release number of selected component (if applicable):
2.6.26.2-14.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start GNOME session.
2. Produce system event.
  
Actual results:
A click is emitted.

Expected results:
The corresponding GNOME sound event is played.

Additional info:
- This issue was present for early "rawhide" kernel of the 2.6.26-rcX
  series until the pcsp device got disabled in the kernel builds.
- 'aplay -D hw:1 /usr/share/sounds/phone.wav' does play the correct sound
  whereas 'aplay /usr/share/sounds/phone.wav' does not.
- Whereas other systems might produce meaningful sounds using the PC
  speaker, the NVIDIA nForce™ 4 chipset does not.
Comment 1 Chuck Ebbert 2008-08-21 21:34:16 EDT
snd-pcsp got blacklisted by default and then re-enabled in rawhide (bug 452748).

I guess we should just not build it in F8 and F9...
Comment 2 Chuck Ebbert 2008-08-22 13:24:50 EDT
Disabled the driver in 2.6.26.2-16
Comment 3 Joachim Frieben 2008-08-25 03:47:05 EDT
System sounds are back although disabling the snd-pcsp driver is nothing more than a temporary workaround. One clearly wants to be able to use the internal speaker but it simply should not be the default device.

Note You need to log in before you can comment on or make changes to this bug.